none
Do I need to use Windows Server 2008 Enterprise to backup SQL? RRS feed

  • Question

  • I got this error when I try to backup SQL running on Windows Server 2003 but not all give this error code:

    Although i already apply KB940349 on the all server which are running server 2003.

    What could be the cause of these? Do I need to use Windows Server 2008 Enterprise to Run DPM 2010 for backup SQL?

    One or more prerequisites for protecting this data source is missing.
    Ensure that the following prerequisite software is installed on <COMPUTER NAME> and/or all nodes in the cluster.
    Also ensure they are installed on the servers that are hosting a mirrored instance of SQL Server.

    Windows Server 2003 SP1 with Knowledge Base article 940349 (http://go.microsoft.com/fwlink/?LinkId=99034)
            - OR -
    Windows Server 2008 (http://go.microsoft.com/fwlink/?LinkId=128812)
    SQL Server 2005 SP1 (http://go.microsoft.com/fwlink/?LinkId=77417)


    ID: 31307


    • Edited by Oneoa Tuesday, October 4, 2011 5:44 AM
    Tuesday, October 4, 2011 4:10 AM

All replies

  • as it says

    You need to install Volume Shadow Copy Service (VSS) update rollup package, mentioned in the KB

    Thanks


    Islam Gomaa Microsoft MVP | System Center Data Protection Manager email: Islam @ Islam Gomaa.com Blog: http://owsug.ca/blogs/IslamGomaa Website: www.islamGomaa.com
    Tuesday, October 4, 2011 4:59 AM
  • As mention I already done that for all Windows Server 2003 already apply KB940349.

    Problem still persist.

    Tuesday, October 4, 2011 5:43 AM
  • Hi,

    no you don't need Windows Server 2008. Did you check your event logs/DPM log files? In our case it was no problem with a missing patch, it was a problem with a missing registry key (not for DPM). We found an error (not DPM specific) in the event logs and when searching for it in the internet found that missing registry key. Maybe you have a similar situation.

    Tuesday, October 4, 2011 11:23 AM